## Running Time of R

## Usage

    proc.time()

## Description

`proc.time` determines how much time (in seconds) the currently running R process already consumed.

## Value

A numeric vector of length 5, containing the user, system, and total elapsed times for the currently running R process, and the cumulative sum of user and system times of any child processes spawned by it.

It is most useful for ``timing'' the evaluation of R expressions, which can be done conveniently with `system.time`.

## See Also

`system.time` for timing a valid R expression

## Examples

    ptm <- proc.time()
    for (i in 1:50) mad(runif(500))
    proc.time() - ptm

[Package Contents]